
function Skinner:LootLink() 

	self:skinTooltip(LootLink_ResultsTooltip)
	
	self:SecureHook(LootLink, "Main_LoadPlugin", function(LootLink, pluginName, existenceObjName, isAddon)
--		self:Debug("LootLink_Main_LoadPlugin: [%s, %s, %s]", pluginName, existenceObjName, isAddon)
	-->>-- LL Options Frame
		if pluginName == "Options" and not LootLink_Options_DisplayFrame.skinned then
			self:keepRegions(LootLink_Options_MinStoredRarityDD, {4,5})
			self:keepRegions(LootLink_Options_TooltipSettingsDD, {4})
			self:keepRegions(LootLink_Options_MinDisplayedRarityDD, {4,5})
			self:keepRegions(LootLink_Options_DataSharingBroadcastChannelsDD, {4})
			self:keepRegions(LootLink_Options_AutoLinkBotWatchedChannelsDD, {4})
			self:skinEditBox(LootLink_Options_AutoLinkBotMinLengthEB, {9})
			self:keepRegions(LootLink_Options_DisplayFrame, {11,12})
			self:applySkin(LootLink_Options_DisplayFrame, nil)
			LootLink_Options_DisplayFrame.skinned = true
		elseif pluginName == "QuickSearch" and not LootLink_QuickSearch_SearchFrame.skinned then
			self:moveObject(LootLink_QuickSearch_SearchFrame, "-", 5, "-", 70)
			LootLink_QuickSearch_SearchFrame.skinned = true
		end
		end)
	
-->>-- LL Results Frame
	LootLink_ResultsFrame:SetWidth(LootLink_ResultsFrame:GetWidth() * FxMult)
	LootLink_ResultsFrame:SetHeight(LootLink_ResultsFrame:GetHeight() * FyMult + 10)
	self:moveObject(LootLink_ResultsFrame_TitleButton, nil, nil, "+", 8)
	self:moveObject(LootLink_ResultsFrame_OptionsButton, "-", 30, nil, nil)
	self:moveObject(LootLink_ResultsFrame_CloseButton, "+", 28, "+", 8)
	self:keepRegions(LootLink_ResultsFrame_SortTypeDD, {4})
	self:keepRegions(LootLink_ResultsFrame_ListScrollFrame, {})
	self:skinScrollBar(LootLink_ResultsFrame_ListScrollFrame)
	self:keepRegions(LootLink_ResultsFrame, {})
	self:applySkin(LootLink_ResultsFrame, nil)
	if LootLink_QuickSearch_SearchFrame then 
		self:moveObject(LootLink_QuickSearch_SearchFrame, "-", 5, "-", 70)
	end

-->>-- LL Search Frame
	self:keepRegions(LootLink_SearchFrame_TypeAndSubtypeDD, {4,5})
	self:keepRegions(LootLink_SearchFrame_RarityDD, {4,5})
	self:keepRegions(LootLink_SearchFrame_EquipLocationDD, {4,5})
	self:keepRegions(LootLink_SearchFrame_BindTypeDD, {4,5})
	self:skinEditBox(LootLink_SearchFrame_AllTextEB, {9})
	self:skinEditBox(LootLink_SearchFrame_NameEB, {9})
	self:skinEditBox(LootLink_SearchFrame_MinEquipLevelEB, {9})
	self:skinEditBox(LootLink_SearchFrame_MaxEquipLevelEB, {9})
	self:skinEditBox(LootLink_SearchFrame_MinItemLevelEB, {9})
	self:skinEditBox(LootLink_SearchFrame_MaxItemLevelEB, {9})
	self:keepRegions(LootLink_SearchFrame, {11})
	self:applySkin(LootLink_SearchFrame, nil)

end
